## Bsoft program

# bmodmask

### Usage: bmodmask [options] in1.star [in2.star...]

Generates a mask from a model if an output image is specified.

### Actions:

-type hull | Mask type: model, hull, shell, level.
-invert | Invert the mask after creation.

### Parameters:

-verbose 7 | Verbose output.
-componentradius 8.4 | Set display radius for all components.
-linkradius 5.1 | Set display radius for all links.

### Parameters for mask creation:

-datatype u | Force writing of a new data type (default float).
-size 100,120,80 | Mask size (default from model).
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-origin 0.8,-10,15.7 | Set the origin for the mask.
-edge 1.5 | Edge width for model mask (default 1 angstrom).
-width 34.8 | Shell mask width (default 1 angstrom).
-curved | Flag to indicate curved hull or shell surface (default not).
-fast | Use fast but less comprehensive algorithm for shell and hull masks.
-smooth 2 | Edge smoothing in pixels (default 0).

### Input:

-parameters param.star | Input parameter file.

### Output:

-output file.star | Output model file.
-mask mask.map | Output mask image.

Bsoft version 2.0.3-20180917 (64 bit)